import { CommonModule } from "@angular/common";
import { Component } from "@angular/core";

import { Logos } from "../config/Logos";
import { Socials } from "../config/Socials";
import { JobComponent } from "../job/job.component";
import { LogoComponent } from "../logo/logo.component";
import { SocialComponent } from "../social/social.component";
import { TestimonialsComponent } from "../testimonials/testimonials.component";
import { TimelineComponent } from "../timeline/timeline.component";

/**
 *
 */
@Component({
  selector: "app-home",
  standalone: true,
  imports: [
    CommonModule,
    SocialComponent,
    JobComponent,
    LogoComponent,
    TimelineComponent,
    TestimonialsComponent
  ],
  templateUrl: "./home.component.html",
  styleUrl: "./home.component.css"
})
export class HomeComponent {
  public socials = Socials;
  public logos = Logos;
  public view: "resume" | "testimonials" | "certifications" | "stats" =
    "testimonials";

  /**
   * @param {string} view The view to load.
   */
  changeView(view: typeof this.view) {
    this.view = view;
  }
}
